#ReadFert 
fert <- read.table('fertilizer.csv', header=T, sep=',', strip.white=T)
fert

#A1 
printVerbatim(fert)

#Q1-2 
# get the car package
library(car)
scatterplot(YIELD~FERTILIZER, data=fert)

#Q1-2 
library(car)
#jpeg("temp.jpg",width=200, height=200)
scatterplot(YIELD~FERTILIZER, data=fert)
#dev.off()

#Q1-2a 
fert.lm<-lm(YIELD~FERTILIZER, data=fert)

#Q1-2a 
# setup a 2x6 plotting device with small margins
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(fert.lm,ask=F,which=1:6)

#Q1-2a 
influence.measures(fert.lm)

#Q1-2a 
printVerbatim(influence.measures(fert.lm))

#Q1-4 
summary(fert.lm)

#Q1-4 
printVerbatim(summary(fert.lm))

#Q1-6 
#setup the graphics device with wider margins
opar <- par(mar=c(5,5,0,0))
#construct the base plot without axes or labels or even points
plot(YIELD~FERTILIZER, data=fert, ann=F, axes=F, type="n")
# put the points on as solid circles (point character 16)
points(YIELD~FERTILIZER, data=fert, pch=16)
# draw the x-axis
axis(1)
mtext("X-axis label",1,line=3)
# draw the y-axis (labels rotated)
axis(2,las=1)
mtext("Y-axis label",2,line=3)
#put an 'L'-shaped box around the plot
box(bty="l")
#reset the parameters
par(opar)

#ReadChrist 
christ <- read.table('christ.csv', header=T, sep=',', strip.white=T)
head(christ)

#ReadChrist 
printVerbatim(head(christ))

#Q2-3 
library(car)
scatterplot(CWDBASAL~RIPDENS, data=christ)

#Q1-2a 
christ.lm<-lm(CWDBASAL~RIPDENS, data=christ)

#Q2-5 
# setup a 2x6 plotting device with small margins
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(christ.lm,ask=F,which=1:6)

#Q2-5 
influence.measures(christ.lm)

#Q2-5 
printVerbatim(influence.measures(christ.lm))

#ReadFert 
summary(christ.lm)

#A1 
printVerbatim(summary(christ.lm))

#ReadFert 
peakquinn <- read.table('peakquinn.csv', header=T, sep=',', strip.white=T)
peakquinn

#A1 
printVerbatim(head(peakquinn))

#Q3-a 
library(car)
scatterplot(INDIV~AREA,data=peakquinn)

#Q3-1b 
peakquinn.lm<-lm(INDIV~AREA, data=peakquinn)

#Q3-1c 
# setup a 2x6 plotting device with small margins
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(peakquinn.lm,ask=F,which=1:6)

#Q3-1c 
influence.measures(peakquinn.lm)

#Q3-1c 
printVerbatim(influence.measures(peakquinn.lm))

#Q3-4a 
library(car)
scatterplot(log10(INDIV)~log10(AREA), data=peakquinn)

#Q3-6 
peakquinn.lm<-lm(log10(INDIV)~log10(AREA), data=peakquinn)
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(fert.lm,ask=F,which=1:6)

#Q3-6 
summary(peakquinn.lm)

#Q3-6 
printVerbatim(summary(peakquinn.lm))

#Q3-9 
#include prediction intervals
10^predict(peakquinn.lm, newdata=data.frame(AREA=8000), interval="predict")

#Q3-9 
printVerbatim(10^predict(peakquinn.lm, newdata=data.frame(AREA=8000), interval="predict"))

#Q3-9 
#include 95% confidence intervals
10^predict(peakquinn.lm, newdata=data.frame(AREA=8000), interval="confidence")

#Q3-9 
printVerbatim(10^predict(peakquinn.lm, newdata=data.frame(AREA=8000), interval="confidence"))

#Q3-11 
#setup the graphics device with wider margins
opar <- par(mar=c(6,6,0,0))
#construct the base plot with log scale axes 
plot(INDIV~AREA, data=peakquinn, log='xy', ann=F, axes=F, type="n")
# put the points on as solid circles (point character 16)
points(INDIV~AREA, data=peakquinn, pch=16)
# draw the x-axis
axis(1)
mtext(expression(paste("Mussel clump area ",(mm^2))),1,line=4,cex=2)
# draw the y-axis (labels rotated)
axis(2,las=1)
mtext("Number of individuals per clump",2,line=4,cex=2)
#put in the fitted regression trendline
xs <- seq(min(peakquinn$AREA), max(peakquinn$AREA), l = 1000)
ys <- 10^predict(peakquinn.lm, newdata=data.frame(AREA=xs), interval='c')
lines(ys[,'fit']~xs)
matlines(xs,ys, lty=2,col=1)
# include the equation
text(max(peakquinn$AREA), 20, expression(paste(log[10], "INDIV = 0.835.",log[10], "AREA - 0.576")), pos = 2)
text(max(peakquinn$AREA), 17, expression(paste(R^2 == 0.857)), pos = 2)
#put an 'L'-shaped box around the plot
box(bty="l")
#reset the parameters
par(opar)

#ReadChrist 
nagy <- read.table('nagy.csv', header=T, sep=',', strip.white=T)
head(nagy)

#A1 
printVerbatim(head(nagy))

#Q4-1 
library(car)
scatterplot(FMR~Mass,data=nagy)

#Q4-2 
library(car)
scatterplot(FMR~Mass,data=nagy,log='xy')

#Q4-3 
nagy.olsM <- lm(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Mammal"))
summary(nagy.olsM)

#Q4-3a 
printVerbatim(summary(nagy.olsM))

#Q4-3 
nagy.olsR <- lm(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Reptiles"))
summary(nagy.olsR)

#Q4-3a 
printVerbatim(summary(nagy.olsR))

#Q4-3 
nagy.olsA <- lm(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Aves"))
summary(nagy.olsA)

#Q4-3a 
printVerbatim(summary(nagy.olsA))

#Q4-3 
library(lmodel2)
nagy.rmaM <- lmodel2(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Mammal"), nperm=99, range.y='interval', range.x='interval')
nagy.rmaM

#Q4-3a 
printVerbatim(nagy.rmaM)

#Q4-3 
library(lmodel2)
nagy.rmaR <- lmodel2(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Reptiles"), nperm=99, range.y='interval', range.x='interval')
nagy.rmaR

#Q4-3a 
printVerbatim(nagy.rmaR)

#Q4-3 
library(lmodel2)
nagy.rmaA <- lmodel2(log10(FMR)~log10(Mass),data=subset(nagy,nagy$Class=="Aves"), nperm=99, range.y='interval', range.x='interval')
nagy.rmaA

#Q4-3a 
printVerbatim(nagy.rmaA)

#Q4-4 
#setup the graphics device with wider margins
opar <- par(mar=c(6,6,0,0))
#construct the base plot with log scale axes 
plot(FMR~Mass,data=subset(nagy,nagy$Class=="Mammal"), log='xy', ann=F, axes=F, type="n")
# put the points on as solid circles (point character 16)
points(FMR~Mass,data=subset(nagy,nagy$Class=="Mammal"), pch=16)
# draw the x-axis
axis(1)
mtext(expression(paste("Mass ",(g))),1,line=4,cex=2)
# draw the y-axis (labels rotated)
axis(2,las=1)
mtext("Field metabolic rate",2,line=4,cex=2)
#put in the fitted regression trendline
xs <- with(subset(nagy,nagy$Class=="Mammal"),seq(min(Mass), max(Mass), l = 1000))
ys <- 10^predict(nagy.olsM, newdata=data.frame(Mass=xs), interval='c')
lines(ys[,'fit']~xs)
matlines(xs,ys, lty=2,col=1)
#now include the RMA trendline
centr.y <- mean(nagy.rmaM$y)
centr.x <- mean(nagy.rmaM$x)
A <- nagy.rmaM$regression.results[4,2]
B <- nagy.rmaM$regression.results[4,3]
B1 <- nagy.rmaM$confidence.intervals[4, 4]
A1 <- centr.y - B1 * centr.x
B2 <- nagy.rmaM$confidence.intervals[4, 5]
A2 <- centr.y - B2 * centr.x
lines(10^(A+(log10(xs)*B))~xs, col="red")
lines(10^(A1+(log10(xs)*B1))~xs, col="red",lty=2)
lines(10^(A2+(log10(xs)*B2))~xs, col="red",lty=2)
# include the equation
#text(max(peakquinn$AREA), 20, expression(paste(log[10], "INDIV = 0.835.",log[10], "AREA - 0.576")), pos = 2)
#text(max(peakquinn$AREA), 17, expression(paste(R^2 == 0.857)), pos = 2)
##put an 'L'-shaped box around the plot
box(bty="l")
#reset the parameters
par(opar)

#Q4-6 
library(lmodel2)
nagy.rma <- lmodel2(log10(FMR)~log10(Mass),data=nagy, nperm=99, range.y='interval', range.x='interval')
nagy.rma

#Q4-6 
printVerbatim(nagy.rma)

#Q4-6 
#setup the graphics device with wider margins
opar <- par(mar=c(6,6,0,0))
#construct the base plot with log scale axes 
plot(FMR~Mass,data=nagy, log='xy', ann=F, axes=F, type="n")
# put the points on as solid circles (point character 16)
points(FMR~Mass,data=nagy, pch=16)
# draw the x-axis
axis(1)
mtext(expression(paste("Mass ",(g))),1,line=4,cex=2)
# draw the y-axis (labels rotated)
axis(2,las=1)
mtext("Field metabolic rate",2,line=4,cex=2)
#put in the fitted regression trendline
xs <- with(nagy,seq(min(Mass), max(Mass), l = 1000))
nagy.lm<-lm(log10(FMR)~log10(Mass), data=nagy)
ys <- 10^predict(nagy.lm, newdata=data.frame(Mass=xs), interval='c')
lines(ys[,'fit']~xs)
matlines(xs,ys, lty=2,col=1)
#now include the RMA trendline
centr.y <- mean(nagy.rma$y)
centr.x <- mean(nagy.rma$x)
A <- nagy.rma$regression.results[4,2]
B <- nagy.rma$regression.results[4,3]
B1 <- nagy.rma$confidence.intervals[4, 4]
A1 <- centr.y - B1 * centr.x
B2 <- nagy.rma$confidence.intervals[4, 5]
A2 <- centr.y - B2 * centr.x
lines(10^(A+(log10(xs)*B))~xs, col="red")
lines(10^(A1+(log10(xs)*B1))~xs, col="red",lty=2)
lines(10^(A2+(log10(xs)*B2))~xs, col="red",lty=2)
#put an 'L'-shaped box around the plot
box(bty="l")
#reset the parameters
par(opar)

#ReadData 
phasmid <- read.data('phasmid.csv', header=T, sep=',', row.names=1, strip.white=T)

