#ReadParuelo 
paruelo <- read.table('paruelo.csv', header=T, sep=',', strip.white=T)
head(paruelo)

#A1 
printVerbatim(head(paruelo))

#Q1-2a 
#via car's scatterplotMatrix function
library(car)
scatterplotMatrix(~C3+LAT+LONG+MAP+MAT+JJAMAP+DJFMAP, data=paruelo, diagonal='boxplot')

#Q1-2b 
#via lattice
library(lattice)
splom.lat <- splom(paruelo, type=c("p","r"))
print(splom.lat)

#Q1-2c 
#via ggplot2 - warning these are slow!
library(ggplot2)
splom.gg <- plotmatrix(paruelo)+geom_smooth(method="lm")
print(splom.gg)

#Q1-2a 
#via car's scatterplotMatrix function
library(car)
scatterplotMatrix(~sqrt(C3)+LAT+LONG+MAP+MAT+JJAMAP+log10(DJFMAP), data=paruelo, diagonal='boxplot')

#Q1-2d 
cor(paruelo[,-1])

#Q1-2d 
printVerbatim(cor(paruelo[,-1]))

#Q1-3a 
library(car)
vif(lm(sqrt(paruelo$C3) ~ LAT + LONG + MAP + MAT + JJAMAP + log10(DJFMAP), data=paruelo))

#Q1-3a 
printVerbatim(vif(lm(sqrt(paruelo$C3) ~ LAT + LONG + MAP + MAT + JJAMAP + log10(DJFMAP), data=paruelo)))

#Q1-3b 
library(car)
1/vif(lm(sqrt(paruelo$C3) ~ LAT + LONG + MAP + MAT + JJAMAP + log10(DJFMAP), data=paruelo))

#Q1-3b 
printVerbatim(1/vif(lm(sqrt(paruelo$C3) ~ LAT + LONG + MAP + MAT + JJAMAP + log10(DJFMAP), data=paruelo)))

#Q1-4b 
#via car's scatterplotMatrix function
library(car)
scatterplotMatrix(~sqrt(C3)+LAT+LONG, data=paruelo, diagonal='boxplot')

#Q1-4b 
vif(lm(sqrt(C3)~LAT+LONG, data=paruelo))

#Q1-4b 
printVerbatim(vif(lm(sqrt(C3)~LAT+LONG, data=paruelo)))

#Q1-4 
paruelo$cLAT <- scale(paruelo$LAT, scale=F)
paruelo$cLONG <- scale(paruelo$LONG, scale=F)

#Q1-5 
paruelo.lm <- lm(sqrt(C3) ~ cLAT*cLONG, data=paruelo)

#Q1-5a 
# setup a 2x6 plotting device with small margins
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(paruelo.lm,ask=F,which=1:6)

#Q1-5a 
influence.measures(paruelo.lm)

#Q1-5a 
printVerbatim(influence.measures(paruelo.lm))

#Q1-5b 
summary(paruelo.lm)

#Q1-5b 
printVerbatim(summary(paruelo.lm))

#Q1-6 
#via the car package
avPlots(paruelo.lm, ask=F, indentify.points=F)

#Q1-6a 
#via the effects package
library(effects)
plot(allEffects(paruelo.lm, default.levels=5), ask=F)

#Q1-6b 
#via the effects package
library(effects)
plot(allEffects(lm(sqrt(C3) ~ cLONG*cLAT, data=paruelo),default.levels=10), ask=F)

#Q1-7a 
#2 standard deviations below the mean longitude
LongM2<-mean(paruelo$cLONG)-2*sd(paruelo$cLONG)
#1 standard deviation below the mean longitude
LongM1<-mean(paruelo$cLONG)-1*sd(paruelo$cLONG)
#mean longitude
LongM<-mean(paruelo$cLONG)
#1 standard deviation above the mean longitude
LongP1<-mean(paruelo$cLONG)+1*sd(paruelo$cLONG)
#2 standard deviation below the mean longitude
LongP2<-mean(paruelo$cLONG)+2*sd(paruelo$cLONG)

#Q1-7b 
LatM2<-summary(paruelo.lmM2<-lm(sqrt(C3)~cLAT*c(cLONG+LongM2), data=paruelo))$coef["cLAT",]
LatM1<-summary(paruelo.lmM2<-lm(sqrt(C3)~cLAT*c(cLONG+LongM1), data=paruelo))$coef["cLAT",]
LatM<-summary(paruelo.lmM2<-lm(sqrt(C3)~cLAT*c(cLONG+LongM), data=paruelo))$coef["cLAT",]
LatP1<-summary(paruelo.lmM2<-lm(sqrt(C3)~cLAT*c(cLONG+LongP1), data=paruelo))$coef["cLAT",]
LatP2<-summary(paruelo.lmM2<-lm(sqrt(C3)~cLAT*c(cLONG+LongP2), data=paruelo))$coef["cLAT",]
rbind("Lattitude at Long-2sd"=LatM2,"Lattitude at Long-1sd"=LatM1,"Lattitude at mean Long"=LatM,"Lattitude at Long+1sd"=LatP1,"Lattitude at Long+2sd"=LatP2)

#Q1-7b 
printVerbatim(rbind("Lattitude at Long-2sd"=LatM2,"Lattitude at Long-1sd"=LatM1,"Lattitude at mean Long"=LatM,"Lattitude at Long+1sd"=LatP1,"Lattitude at Long+2sd"=LatP2))

#ReadLoyn 
loyn <- read.table('loyn.csv', header=T, sep=',', strip.white=T)
head(loyn)

#ReadLoyn 
printVerbatim(head(loyn))

#Q2-2a 
#via car's scatterplotMatrix function
library(car)
scatterplotMatrix(~ABUND+DIST+LDIST+AREA+GRAZE+ALT+YR.ISOL, data=loyn, diagonal='boxplot')

#Q2-2ab 
#via lattice
library(lattice)
splom.lat <- splom(loyn, type=c("p","r"))
print(splom.lat)

#Q2-2ac 
#via ggplot2 - warning these are slow!
library(ggplot2)
splom.gg <- plotmatrix(loyn)+geom_smooth(method="lm")
print(splom.gg)

#Q2-2b 
#via car's scatterplotMatrix function
library(car)
scatterplotMatrix(~ABUND+log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn, diagonal='boxplot')

#Q2-2c 
loyn.lm<-lm(ABUND~log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn)
vif(loyn.lm)

#Q1-4b 
printVerbatim(vif(loyn.lm))

#Q2-2c 
1/vif(loyn.lm)

#Q1-4b 
printVerbatim(1/vif(loyn.lm))

#Q2-2c 
cor(loyn.lm$model[,2:7])

#Q1-4b 
printVerbatim(cor(loyn.lm$model[,2:7]))

#Q2-3 
loyn.lm <- lm(ABUND~log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn)

#Q2-3a 
# setup a 2x6 plotting device with small margins
par(mfrow = c(2, 3), oma = c(0, 0, 2, 0))
plot(loyn.lm,ask=F,which=1:6)

#Q2-3a 
influence.measures(loyn.lm)

#Q2-3a 
printVerbatim(influence.measures(loyn.lm))

#Q2-3b 
summary(loyn.lm)

#Q2-3b 
printVerbatim(summary(loyn.lm))

#Q2-4 
summary(loyn.lm)$'adj.r.squared'

#Q2-4 
printVerbatim(summary(loyn.lm)$'adj.r.squared')

#Q2-4 
AIC(loyn.lm)

#Q2-4 
printVerbatim(AIC(loyn.lm))

#Q2-4 
AIC(loyn.lm,k=log(nrow(loyn)))

#Q2-4 
printVerbatim(AIC(loyn.lm,k=log(nrow(loyn))))

#Q2-5 
library(MuMIn)
model.avg(get.models(dredge(loyn.lm, rank = "AIC")))

#A1 
library(MuMIn)
printVerbatim(model.avg(get.models(dredge(loyn.lm, rank = "AIC"))))

